diff --git a/drupal7/sites/all/modules/date/date_tools/date_tools.wizard.inc b/drupal7/sites/all/modules/date/date_tools/date_tools.wizard.inc
index 94a130a4..7ffee4dd 100644
--- a/drupal7/sites/all/modules/date/date_tools/date_tools.wizard.inc
+++ b/drupal7/sites/all/modules/date/date_tools/date_tools.wizard.inc
@@ -7,8 +7,6 @@
 
 /**
  * Implements hook_form().
- *
- * @todo.
  */
 function date_tools_wizard_form() {
   $form = array();
@@ -112,6 +110,12 @@ function date_tools_wizard_form() {
     '#title' => t('Date timezone handling'),
     '#description' => t("Timezone handling should be set to 'none' for granularity without time elements."),
   );
+  $form['field']['advanced']['weight'] = array(
+    '#type' => 'textfield',
+    '#default_value' => '-4',
+    '#title' => t('Weight'),
+    '#description' => t("Set the field weight."),
+  );
   $form['calendar'] = array(
     '#type' => 'select',
     '#default_value' => module_exists('calendar'),
@@ -131,9 +135,7 @@ function date_tools_wizard_form() {
 }
 
 /**
- * Form validate.
- *
- * @todo.
+ * Form validation.
  */
 function date_tools_wizard_form_validate(&$form, &$form_state) {
   $bundle = $form_state['values']['bundle'];
@@ -173,8 +175,6 @@ function date_tools_wizard_form_validate(&$form, &$form_state) {
 
 /**
  * Form submit.
- *
- * @todo.
  */
 function date_tools_wizard_form_submit(&$form, &$form_state) {
   $view_name = date_tools_wizard_build($form_state['values']);
@@ -189,8 +189,6 @@ function date_tools_wizard_form_submit(&$form, &$form_state) {
 
 /**
  * Wizard build.
- *
- * @todo.
  */
 function date_tools_wizard_build($form_values) {
   extract($form_values);
@@ -198,9 +196,8 @@ function date_tools_wizard_build($form_values) {
   $field_name = 'field_' . $field_name;
   $base_table = 'node';
 
-  // Create a node type if it doesn't already exist.
-  // This makes it possible to add additional date fields to
-  // an existing type.
+  // Create a node type if it doesn't already exist. This makes it possible to
+  // add additional date fields to an existing type.
   $types = node_type_get_names();
   $type_settings = array();
   if (!array_key_exists($bundle, $types)) {
@@ -238,7 +235,7 @@ function date_tools_wizard_build($form_values) {
     'label' => $label,
     'bundle' => $bundle,
     // Move the date right below the title.
-    'weight' => -4,
+    'weight' => $weight,
     'widget' => array(
       'type' => $widget_type,
       // Increment for minutes and seconds, can be 1, 5, 10, 15, or 30.
@@ -252,7 +249,7 @@ function date_tools_wizard_build($form_values) {
         'label_position' => 'above',
         'repeat_collapsed' => 0,
       ),
-      'weight' => -4,
+      'weight' => $weight,
     ),
     'settings' => array(
       'default_value' => 'now',
@@ -295,8 +292,8 @@ function date_tools_wizard_build($form_values) {
   $instance = field_create_instance($instance);
   $view_name = 'calendar_node_' . $field_name;
 
-  field_info_cache_clear(TRUE);
-  field_cache_clear(TRUE);
+  field_info_cache_clear();
+  field_cache_clear();
 
   drupal_set_message(t('Your date field @name has been created.', array('@name' => $label)));
 
@@ -305,8 +302,6 @@ function date_tools_wizard_build($form_values) {
 
 /**
  * Includes handler.
- *
- * @todo.
  */
 function date_tools_wizard_include() {
   module_load_include('inc', 'node', 'content_types');
@@ -317,8 +312,6 @@ function date_tools_wizard_include() {
 
 /**
  * Implements hook_field_types().
- *
- * @todo.
  */
 function date_tools_wizard_field_types() {
   $field_types = array();
@@ -330,7 +323,6 @@ function date_tools_wizard_field_types() {
 
 /**
  * Implements hook_widget_types().
- * @todo.
  */
 function date_tools_wizard_widget_types() {
   $widget_types = array();
@@ -344,8 +336,6 @@ function date_tools_wizard_widget_types() {
 
 /**
  * Tz handler.
- *
- * @todo.
  */
 function date_tools_wizard_tz_handling() {
   include_once drupal_get_path('module', 'date') . '/date_admin.inc';
@@ -354,11 +344,8 @@ function date_tools_wizard_tz_handling() {
 
 /**
  * Create date tools wizard content type.
- *
- * @todo.
  */
 function date_tools_wizard_create_content_type($name, $bundle, $description, $type_settings = array()) {
-
   date_tools_wizard_include();
 
   // Create the content type.
@@ -427,5 +414,4 @@ function date_tools_wizard_create_content_type($name, $bundle, $description, $ty
     ),
   );
   field_create_instance($instance);
-
 }
diff --git a/drupal7/sites/all/modules/date/date_tools/tests/date_tools.test b/drupal7/sites/all/modules/date/date_tools/tests/DateToolsTestCase.test
similarity index 79%
rename from drupal7/sites/all/modules/date/date_tools/tests/date_tools.test
rename to drupal7/sites/all/modules/date/date_tools/tests/DateToolsTestCase.test
index 07af4a3d..f481d83e 100644
--- a/drupal7/sites/all/modules/date/date_tools/tests/date_tools.test
+++ b/drupal7/sites/all/modules/date/date_tools/tests/DateToolsTestCase.test
@@ -5,6 +5,9 @@
  * Tests for Date Tools.
  */
 
+/**
+ * Tests for Date Tools.
+ */
 class DateToolsTestCase extends DrupalWebTestCase {
   protected $privileged_user;
 
@@ -20,16 +23,26 @@ class DateToolsTestCase extends DrupalWebTestCase {
   }
 
   /**
-   * @todo.
+   * {@inheritdoc}
    */
-  public function setUp() {
-    // Load the date_api module.
-    parent::setUp('field', 'field_ui', 'date_api', 'date', 'date_popup', 'date_tools');
+  public function setUp(array $modules = array()) {
+    $modules[] = 'field';
+    $modules[] = 'field_ui';
+    $modules[] = 'date_api';
+    $modules[] = 'date';
+    $modules[] = 'date_popup';
+    $modules[] = 'date_tools';
+    parent::setUp($modules);
 
     // Create and log in our privileged user.
-    $this->privileged_user = $this->drupalCreateUser(
-      array('administer content types', 'administer nodes', 'bypass node access', 'administer date tools', 'administer fields')
+    $perms = array(
+      'administer content types',
+      'administer nodes',
+      'bypass node access',
+      'administer date tools',
+      'administer fields',
     );
+    $this->privileged_user = $this->drupalCreateUser($perms);
     $this->drupalLogin($this->privileged_user);
 
     variable_set('date_format_long', 'D, m/d/Y - H:i');
@@ -39,7 +52,12 @@ class DateToolsTestCase extends DrupalWebTestCase {
    * Creates a date field using the Date Wizard.
    */
   public function testTools() {
-    $form_values = array('label' => 'Test', 'field_type' => 'datetime', 'widget_type' => 'date_select', 'todate' => '');
+    $form_values = array(
+      'label' => 'Test',
+      'field_type' => 'datetime',
+      'widget_type' => 'date_select',
+      'todate' => '',
+    );
     $this->createDateWizard($form_values);
     $this->dateForm($options = 'select');
     $this->assertText('Thu, 10/07/2010 - 10:30', 'Found the correct date for the Date Wizard datetime field using the date_select widget.');
@@ -72,7 +90,7 @@ class DateToolsTestCase extends DrupalWebTestCase {
   }
 
   /**
-   * @todo.
+   * @todo
    */
   function deleteDateField() {
     $this->drupalGet('admin/structure/types/manage/story/fields');
@@ -97,6 +115,7 @@ class DateToolsTestCase extends DrupalWebTestCase {
       'granularity[]' => array('year', 'month', 'day', 'hour', 'minute'),
       'tz_handling' => 'site',
       'year_range' => '2010:+2',
+      'weight' => -100,
     );
     $this->drupalPost('admin/config/date/tools/date_wizard', $edit, t('Save'));
     $this->assertText('Your date field Test has been created.', 'Create a date field using the Date Wizard.');
diff --git a/drupal7/sites/all/modules/date/date_views/date_views.info b/drupal7/sites/all/modules/date/date_views/date_views.info
index 68b32cc2..bc19f3a2 100644
--- a/drupal7/sites/all/modules/date/date_views/date_views.info
+++ b/drupal7/sites/all/modules/date/date_views/date_views.info
@@ -1,10 +1,12 @@
 name = Date Views
 description = Views integration for date fields and date functionality.
 package = Date/Time
-dependencies[] = date_api
-dependencies[] = views
 core = 7.x
 php = 5.2
+
+dependencies[] = date:date_api
+dependencies[] = views:views
+
 files[] = includes/date_views_argument_handler.inc
 files[] = includes/date_views_argument_handler_simple.inc
 files[] = includes/date_views_filter_handler.inc
@@ -12,9 +14,12 @@ files[] = includes/date_views_filter_handler_simple.inc
 files[] = includes/date_views.views.inc
 files[] = includes/date_views_plugin_pager.inc
 
-; Information added by Drupal.org packaging script on 2017-04-07
-version = "7.x-2.10"
+; Test coverage.
+files[] = tests/date_views_filter.test
+files[] = tests/date_views_pager.test
+
+; Information added by Drupal.org packaging script on 2021-03-05
+version = "7.x-2.11"
 core = "7.x"
 project = "date"
-datestamp = "1491562090"
-
+datestamp = "1614952728"
diff --git a/drupal7/sites/all/modules/date/date_views/date_views.module b/drupal7/sites/all/modules/date/date_views/date_views.module
index c050e56e..59277a93 100644
--- a/drupal7/sites/all/modules/date/date_views/date_views.module
+++ b/drupal7/sites/all/modules/date/date_views/date_views.module
@@ -26,7 +26,6 @@ function date_views_menu() {
  * Form callback for date views settings.
  */
 function date_views_settings($form, &$form_state) {
-
   $form['date_views_month_format_with_year'] = array(
     '#type' => 'textfield',
     '#title' => t('Date views month format with year'),
@@ -76,15 +75,13 @@ function date_views_settings($form, &$form_state) {
   );
 
   return system_settings_form($form);
-
 }
 
 /**
  * Implements hook_views_api().
- *
- * This one is used as the base to reduce errors when updating.
  */
 function date_views_theme() {
+  // This one is used as the base to reduce errors when updating.
   $path = drupal_get_path('module', 'date_views');
   $base = array(
     'file' => 'theme.inc',
@@ -165,23 +162,29 @@ function date_views_fields($base = 'node', $reset = FALSE) {
 
 /**
  * Implements hook_date_views_entities().
- *
- * Map extra Views tables to the entity that holds its date fields, needed for Views tables other than the primary tables identified in entity_info().
  */
 function date_views_date_views_extra_tables() {
+  // Map extra Views tables to the entity that holds its date fields, needed
+  // for Views tables other than the primary tables identified in entity_info().
   return array(
     'node_revision' => 'node',
   );
 }
 
 /**
- * Helper function to map entity types to the Views base table they use, to make it easier to infer the entity type from a base table.
+ * Helper function to map entity types to the Views base table they use.
+ *
+ * Used to make it easier to infer the entity type from a base table.
  *
- * Views has a new handler called views_handler_field_entity() that loads entities.
+ * Views has a new handler called views_handler_field_entity() that loads
+ * entities.
  *
- * And you can use something like the following to get the entity type from a view, but not all our base tables contain the entity information we need, (i.e. revisions).
+ * And you can use something like the following to get the entity type from a
+ * view, but not all our base tables contain the entity information we need,
+ * (i.e. revisions).
  *
- * So it won't work here and we resort to creating information from entity_get_info().
+ * So it won't work here and we resort to creating information from
+ * entity_get_info().
  *
  *   // A method to get the entity type for a base table.
  *   $table_data = views_fetch_data($base_table);
@@ -194,7 +197,6 @@ function date_views_base_tables() {
   $base_tables = &drupal_static(__FILE__, array());
 
   if (empty($base_tables)) {
-
     // First we get the base tables we can learn about from entity_info.
     $entity_info = entity_get_info();
     foreach ($entity_info as $entity_type => $info) {
@@ -206,7 +208,8 @@ function date_views_base_tables() {
       }
     }
 
-    // Then we let other modules tell us about other entity tables that hold date fields.
+    // Then we let other modules tell us about other entity tables that hold
+    // date fields.
     $base_tables += module_invoke_all('date_views_extra_tables');
   }
 
@@ -215,10 +218,12 @@ function date_views_base_tables() {
 
 /**
  * Implements hook_date_views_fields().
- *
- * All modules that create custom fields that use the 'views_handler_field_date' handler can provide additional information here about the type of date they create so the date can be used by the Date API views date argument and date filter.
  */
 function date_views_date_views_fields($field) {
+  // All modules that create custom fields that use the
+  // 'views_handler_field_date' handler can provide additional information here
+  // about the type of date they create so the date can be used by the Date API
+  // views date argument and date filter.
   $values = array(
     // The type of date: DATE_UNIX, DATE_ISO, DATE_DATETIME.
     'sql_type' => DATE_UNIX,
@@ -249,11 +254,11 @@ function date_views_date_views_fields($field) {
 }
 
 /**
- * A version of date_real_url that formats links correctly for the new Date pager.
+ * A version of date_real_url that formats links correctly for the Date pager.
  */
 function date_pager_url($view, $date_type = NULL, $date_arg = NULL, $force_view_url = FALSE, $absolute = TRUE) {
-
-  // If someone adds a pager without a matching argument, there is not date information to work with.
+  // If someone adds a pager without a matching argument, there is not date
+  // information to work with.
   if (empty($view->date_info) || !isset($view->date_info->date_arg_pos)) {
     return '';
   }
@@ -261,13 +266,12 @@ function date_pager_url($view, $date_type = NULL, $date_arg = NULL, $force_view_
   $args = $view->args;
   $pos = $view->date_info->date_arg_pos;
 
-  // The View arguments array is indexed numerically but is not necessarily
-  // in numerical order. Sort the arguments to ensure the correct order.
+  // The View arguments array is indexed numerically but is not necessarily in
+  // numerical order. Sort the arguments to ensure the correct order.
   ksort($args);
 
-  // If there are empty arguments before the date argument,
-  // pad them with the wildcard so the date argument will be in
-  // the right position.
+  // If there are empty arguments before the date argument, pad them with the
+  // wildcard so the date argument will be in the right position.
   if (count($args) < $pos) {
     foreach ($view->argument as $name => $argument) {
       if ($argument->position == $pos) {
@@ -293,7 +297,6 @@ function date_pager_url($view, $date_type = NULL, $date_arg = NULL, $force_view_
 
       default:
         $args[$pos] = date_pad($view->date_info->year, 4) . '-' . date_pad($view->date_info->month);
-        break;
     }
   }
   elseif (!empty($date_arg)) {
@@ -302,11 +305,10 @@ function date_pager_url($view, $date_type = NULL, $date_arg = NULL, $force_view_
   else {
     $args = $view->args;
   }
-  // Is this an embedded or a block view?
-  // Return the pager query value.
-  if (!$force_view_url &&
-  (!empty($view->preview) || !empty($view->date_info->block_identifier))) {
 
+  // Is this an embedded or a block view? Return the pager query value.
+  if (!$force_view_url &&
+      (!empty($view->preview) || !empty($view->date_info->block_identifier))) {
     $url = $args[$pos];
     $key = date_block_identifier($view);
     if (!empty($key)) {
@@ -316,8 +318,8 @@ function date_pager_url($view, $date_type = NULL, $date_arg = NULL, $force_view_
     }
   }
 
-  // Normal views may need querystrings appended to them
-  // if they use exposed filters.
+  // Normal views may need querystrings appended to them if they use exposed
+  // filters.
   return url($view->get_url($args), array(
     'query' => date_views_querystring($view),
     'absolute' => $absolute,
@@ -337,12 +339,12 @@ function date_block_identifier($view) {
 
 /**
  * Implements hook_field_views_data_alter().
- *
- * Create a Views field for each date column we care about to supplement the generic 'entity_id' and 'revision_id' fields that are automatically created.
- *
- * Also use friendlier labels to distinguish the start date and end date in listings (for fields that use both).
  */
 function date_views_field_views_data_alter(&$result, $field, $module) {
+  // Create a Views field for each date column we care about to supplement the
+  // generic 'entity_id' and 'revision_id' fields that are automatically
+  // created. Also use friendlier labels to distinguish the start date and end
+  // date in listings (for fields that use both).
   if ($module == 'date') {
     $has_end_date = !empty($field['settings']['todate']);
     if ($has_end_date) {
@@ -358,8 +360,9 @@ function date_views_field_views_data_alter(&$result, $field, $module) {
         // The old values are still there with a 'moved to' key, so ignore them.
         if (array_key_exists('field', $value) && !array_key_exists('moved to', $value['field'])) {
           $result[$table][$column]['field']['is date'] = TRUE;
-          // Not sure yet if we still need a custom field handler in D7 now that custom formatters are available.
-          // Might still need it to handle grouping of multiple value dates.
+          // Not sure yet if we still need a custom field handler in D7 now
+          // that custom formatters are available. Might still need it to
+          // handle grouping of multiple value dates.
           // $result[$table][$column]['field']['handler'] = 'date_handler_field_date';
           // $result[$table][$column]['field']['add fields to query'] = TRUE;
         }
@@ -458,9 +461,35 @@ function date_views_form_views_ui_edit_form_alter(&$form, &$form_state, $form_id
 }
 
 /**
- * The instanceof function makes this work for any handler that was derived from 'views_handler_filter_date' or 'views_handler_argument_date', which includes core date fields like the node updated field.
+ * Implements hook_form_FORM_ID_alter() for views_exposed_form().
+ */
+function date_views_form_views_exposed_form_alter(&$form, &$form_state, $form_id) {
+  $children = element_children($form);
+  // @todo On a stock views_exposed_form, there won't be any grandchildren
+  // items, but will this always be the case? How about better_exposed_filters?
+  foreach ($children as $child) {
+    if (isset($form[$child]['#id']) && strpos($form[$child]['#id'], 'date_views_exposed_filter-') === 0) {
+      // Remove empty or scalar date input when an array was expected.
+      if (empty($form_state['input'][$child]) || !is_array($form_state['input'][$child])) {
+        unset($form_state['input'][$child]);
+      }
+      elseif (empty($form_state['input'][$child]['value']) || !is_array($form_state['input'][$child]['value'])) {
+        unset($form_state['input'][$child]['value']);
+      }
+    }
+  }
+}
+
+/**
+ * Work out if the plugin is a date.
  *
- * The test for $handler->min_date tells us that this is an argument that not only is derived from the views date handler but also has been processed by the Date Views filter or argument code.
+ * The instanceof function makes this work for any handler that was derived from
+ * 'views_handler_filter_date' or 'views_handler_argument_date', which includes
+ * core date fields like the node updated field.
+ *
+ * The test for $handler->min_date tells us that this is an argument that not
+ * only is derived from the views date handler but also has been processed by
+ * the Date Views filter or argument code.
  */
 function date_views_handler_is_date($handler, $type = 'argument') {
   switch ($type) {
@@ -476,7 +505,8 @@ function date_views_handler_is_date($handler, $type = 'argument') {
 /**
  * Validation hook for exposed filters that use the select widget.
  *
- * This is to ensure the the user completes all parts of the date not just some parts. Only needed for the select widget.
+ * This is to ensure the the user completes all parts of the date not just some
+ * parts. Only needed for the select widget.
  */
 function date_views_select_validate(&$form, &$form_state) {
   // If there are no values just return.
@@ -525,10 +555,10 @@ function date_views_select_validate(&$form, &$form_state) {
 
 /**
  * Implements hook_date_formatter_view_alter().
- *
- * If we are displaying a date from a view, see if we have information about which multiple value to display. If so, set the date_id in the entity.
  */
 function date_views_date_formatter_pre_view_alter(&$entity, &$variables) {
+  // If we are displaying a date from a view, see if we have information about
+  // which multiple value to display. If so, set the date_id in the entity.
   // Some views have no row index.
   if (!empty($entity->view) && isset($entity->view->row_index)) {
     $field = $variables['field'];
diff --git a/drupal7/sites/all/modules/date/date_views/includes/date_views.views.inc b/drupal7/sites/all/modules/date/date_views/includes/date_views.views.inc
index f226def6..1f710e53 100644
--- a/drupal7/sites/all/modules/date/date_views/includes/date_views.views.inc
+++ b/drupal7/sites/all/modules/date/date_views/includes/date_views.views.inc
@@ -1,7 +1,8 @@
 <?php
+
 /**
  * @file
- * Defines date-related Views data and plugins:
+ * Defines date-related Views data and plugins:.
  *
  * Date argument:
  *   A generic date argument that has an option to select one or more
@@ -126,7 +127,6 @@ function date_views_views_data() {
  * Implements hook_views_data_alter().
  */
 function date_views_views_data_alter(&$data) {
-
   // Mark all the core date handlers as date fields.
   // This will identify all handlers that directly use the _date handlers,
   // will not pick up any that extend those handlers.
@@ -146,12 +146,12 @@ function date_views_views_data_alter(&$data) {
  *
  * In the SQL date handler.
  *
- * The date handler will use this information to decide if the
- * database value needs a timezone conversion.
+ * The date handler will use this information to decide if the database value
+ * needs a timezone conversion.
  *
- * In Views, we will always be comparing to a local date value,
- * so the goal is to convert the database value to the right
- * value to compare to the local value.
+ * In Views, we will always be comparing to a local date value, so the goal is
+ * to convert the database value to the right value to compare to the local
+ * value.
  */
 function date_views_set_timezone(&$date_handler, &$view, $field) {
   switch ($field['tz_handling']) {
@@ -174,7 +174,6 @@ function date_views_set_timezone(&$date_handler, &$view, $field) {
     default:
       $date_handler->db_timezone = 'UTC';
       $date_handler->local_timezone = date_default_timezone();
-      break;
   }
 }
 
@@ -183,7 +182,6 @@ function date_views_set_timezone(&$date_handler, &$view, $field) {
  *
  * @param object $view
  *   A View object.
- *
  * @param array $extra_params
  *   An extra parameters.
  *
@@ -192,24 +190,29 @@ function date_views_set_timezone(&$date_handler, &$view, $field) {
  */
 function date_views_querystring($view, $extra_params = array()) {
   $query_params = array_merge($_GET, $extra_params);
+
   // Allow NULL params to be removed from the query string.
   foreach ($extra_params as $key => $value) {
     if (!isset($value)) {
       unset($query_params[$key]);
     }
   }
+
   // Filter the special "q" and "view" variables out of the query string.
   $exclude = array('q');
+
   // If we don't explicitly add a value for "view", filter it out.
   if (empty($extra_params['view'])) {
     $exclude[] = 'view';
   }
+
   // Clear out old date pager settings if not explicitly added.
   if (!empty($view->date_info->pager_id) && empty($extra_params[$view->date_info->pager_id])) {
     $exclude[] = $view->date_info->pager_id;
   }
 
   $query = drupal_get_query_parameters($query_params, $exclude);
+
   // To prevent an empty query string from adding a "?" on to the end of a URL,
   // we return NULL.
   return !empty($query) ? $query : NULL;
diff --git a/drupal7/sites/all/modules/date/date_views/includes/date_views_argument_handler.inc b/drupal7/sites/all/modules/date/date_views/includes/date_views_argument_handler.inc
index 20eedff0..cdea1deb 100644
--- a/drupal7/sites/all/modules/date/date_views/includes/date_views_argument_handler.inc
+++ b/drupal7/sites/all/modules/date/date_views/includes/date_views_argument_handler.inc
@@ -1,21 +1,21 @@
 <?php
+
 /**
  * @file
  * Date API views argument handler.
- * This argument combines multiple date arguments into a single argument
- * where all fields are controlled by the same date and can be combined
- * with either AND or OR.
+ *
+ * This argument combines multiple date arguments into a single argument where
+ * all fields are controlled by the same date and can be combined with either
+ * AND or OR.
  */
 
 /**
  * Date API argument handler.
  */
-// @codingStandardsIgnoreStart
 class date_views_argument_handler extends date_views_argument_handler_simple {
 
   /**
-   * Get granularity and use it to create the formula and a format
-   * for the results.
+   * {@inheritdoc}
    */
   function init(&$view, &$options) {
     parent::init($view, $options);
@@ -30,7 +30,7 @@ class date_views_argument_handler extends date_views_argument_handler_simple {
   }
 
   /**
-   * Default value for the date_fields option.
+   * {@inheritdoc}
    */
   function option_definition() {
     $options = parent::option_definition();
@@ -41,7 +41,7 @@ class date_views_argument_handler extends date_views_argument_handler_simple {
   }
 
   /**
-   * Add a form element to select date_fields for this argument.
+   * {@inheritdoc}
    */
   function options_form(&$form, &$form_state) {
     parent::options_form($form, $form_state);
@@ -72,9 +72,12 @@ class date_views_argument_handler extends date_views_argument_handler_simple {
     );
   }
 
+  /**
+   * {@inheritdoc}
+   */
   function options_validate(&$form, &$form_state) {
-
-    // Views will whine if we don't have something for the these values even though we removed the option for summaries.
+    // Views will whine if we don't have something for the these values even
+    // though we removed the option for summaries.
     $form_state['values']['options']['summary']['format'] = 'none';
     $form_state['values']['options']['summary']['options']['none'] = array();
 
@@ -89,6 +92,9 @@ class date_views_argument_handler extends date_views_argument_handler_simple {
     }
   }
 
+  /**
+   * {@inheritdoc}
+   */
   function options_submit(&$form, &$form_state) {
     // It is very important to call the parent function here:
     parent::options_submit($form, $form_state);
@@ -97,7 +103,9 @@ class date_views_argument_handler extends date_views_argument_handler_simple {
     }
   }
 
-  // Update the summary values to show selected granularity.
+  /**
+   * {@inheritdoc}
+   */
   function admin_summary() {
     $fields = date_views_fields($this->base_table);
     if (!empty($this->options['date_fields'])) {
@@ -115,15 +123,13 @@ class date_views_argument_handler extends date_views_argument_handler_simple {
   }
 
   /**
-   * Provide a list of default behaviors for this argument if the argument
-   * is not present.
-   *
-   * Override this method to provide additional (or fewer) default behaviors.
+   * {@inheritdoc}
    */
   function default_actions($which = NULL) {
     $defaults = parent::default_actions();
 
-    // There is no easy way to do summary queries on multiple fields, so remove that option.
+    // There is no easy way to do summary queries on multiple fields, so remove
+    // that option.
     unset($defaults['summary']);
 
     if ($which) {
@@ -137,14 +143,11 @@ class date_views_argument_handler extends date_views_argument_handler_simple {
   }
 
   /**
-   * Set up the query for this argument.
-   *
-   * The argument sent may be found at $this->argument.
+   * {@inheritdoc}
    */
   function query($group_by = FALSE) {
-
-    // @TODO Not doing anything with $group_by yet, need to figure out what has to be done.
-
+    // @todo Not doing anything with $group_by yet, need to figure out what has
+    // to be done.
     if ($this->date_forbid()) {
       return;
     }
@@ -156,8 +159,8 @@ class date_views_argument_handler extends date_views_argument_handler_simple {
     $this->placeholders = array();
 
     if (!empty($this->query_fields)) {
-      // Use set_where_group() with the selected date_method
-      // of 'AND' or 'OR' to create the where clause.
+      // Use set_where_group() with the selected date_method of 'AND' or 'OR'
+      // to create the where clause.
       foreach ($this->query_fields as $count => $query_field) {
         $field = $query_field['field'];
         $this->date_handler = $query_field['date_handler'];
@@ -168,8 +171,9 @@ class date_views_argument_handler extends date_views_argument_handler_simple {
         if ($field['table_name'] != $this->table || !empty($this->relationship)) {
           $this->table = $this->query->ensure_table($field['table_name'], $this->relationship);
         }
-        // $this->table_alias gets set when the first field is processed if otherwise empty.
-        // For subsequent fields, we need to be sure it is emptied again.
+        // $this->table_alias gets set when the first field is processed if
+        // otherwise empty. For subsequent fields, we need to be sure it is
+        // emptied again.
         elseif (empty($this->relationship)) {
           $this->table_alias = NULL;
         }
@@ -181,7 +185,7 @@ class date_views_argument_handler extends date_views_argument_handler_simple {
   }
 
   /**
-   * Collect information about our fields we will need to create the right query.
+   * {@inheritdoc}
    */
   function get_query_fields() {
     $fields = date_views_fields($this->base_table);
@@ -200,4 +204,3 @@ class date_views_argument_handler extends date_views_argument_handler_simple {
   }
 
 }
-// @codingStandardsIgnoreEnd
